declare module '@capacitor/core' {
    interface PluginRegistry {
        UcleanPermissionPlugin: UcleanPermissionPluginPlugin;
    }
}
export interface UcleanPermissionPluginPlugin {
    echo(options: {
        value: string;
    }): Promise<{
        value: string;
    }>;
    checkSelfPermissions(options: {
        permissions: [String];
    }): Promise<{
        errorCode: String;
        errorMessage: string;
        data: [object];
    }>;
    setPermissions(options: {
        permissions: [String];
    }): Promise<{
        errorCode: String;
        errorMessage: string;
        data: [object];
    }>;
    jumpToSystemSetting(options: {
        permission: string;
    }): Promise<{
        errorCode: String;
        errorMessage: string;
    }>;
}
